Bug 429466 - Not possible to translate Autostart module window
Summary: Not possible to translate Autostart module window
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_autostart (show other bugs)
Version: 5.20.2
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Nicolas Fella
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-21 17:09 UTC by Karl Ove Hufthammer
Modified: 2020-11-23 15:27 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.20.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karl Ove Hufthammer 2020-11-21 17:09:49 UTC
SUMMARY
It’s not possible to translate the ‘Autostart’ module window.

STEPS TO REPRODUCE
1. Open the Autostart KCM.

OBSERVED RESULT
All strings are shown in English, e.g. ‘Login Scripts’ and ‘Add...’. And there are no translation template files (POT files) that contain the string ‘Login Scripts’.


EXPECTED RESULT
The module should be translatable and shown in the user’s language (if a translation exists).


SOFTWARE/OS VERSIONS
Operating System: openSUSE Tumbleweed 20201117
KDE Plasma Version: 5.20.3
KDE Frameworks Version: 5.75.0
Qt Version: 5.15.1
Kernel Version: 5.9.8-2-default
OS Type: 64-bit
Comment 1 Bug Janitor Service 2020-11-21 17:29:59 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/237
Comment 2 Nicolas Fella 2020-11-22 13:00:28 UTC
Git commit 5d62445d5b54a00af05833c202592b9d2b10e68c by Nicolas Fella.
Committed on 22/11/2020 at 13:00.
Pushed by nicolasfella into branch 'master'.

Fix translation extraction

Adapt Messages.sh to extract strings from QML files

M  +3    -4    kcms/autostart/Messages.sh

https://invent.kde.org/plasma/plasma-desktop/commit/5d62445d5b54a00af05833c202592b9d2b10e68c
Comment 3 Nate Graham 2020-11-23 15:27:10 UTC
Git commit 46b8f34cd2cf94ef08eaa94679a43fef1d71e480 by Nate Graham, on behalf of Nicolas Fella.
Committed on 23/11/2020 at 15:27.
Pushed by ngraham into branch 'Plasma/5.20'.

Fix translation extraction

Adapt Messages.sh to extract strings from QML files


(cherry picked from commit 5d62445d5b54a00af05833c202592b9d2b10e68c)

M  +3    -4    kcms/autostart/Messages.sh

https://invent.kde.org/plasma/plasma-desktop/commit/46b8f34cd2cf94ef08eaa94679a43fef1d71e480